/***************************************************************************
              dialogexportwav.h  -  Dialog for setting WAV parameters
             ---------------------------------------------------------
    begin                : Fri Mar 16 2001
    copyright            : (C) 2001 by Ladislav Slezk
    email                : slezak@penguin.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DIALOGEXPORTWAV_H
#define DIALOGEXPORTWAV_H

#include <gtk--/window.h>
#include <gtk--/box.h>
#include <gtk--/buttonbox.h>
#include <gtk--/button.h>
#include <gtk--/frame.h>
#include <gtk--/label.h>
#include <gtk--/menu.h>
#include <gtk--/optionmenu.h>

#include <gnome--/stock.h>
#include <libgnome/gnome-i18n.h>
#include <gnome--/file-entry.h>

#include <sigc++/signal_system.h>
#include <string>

/**Dialog for setting WAV parameters
  *@author Ladislav Slezk
  */


class DialogExportWAV : public Gtk::Window {

  public:

	  DialogExportWAV();
  	~DialogExportWAV();
  	
		SigC::Signal1<void, bool> export_ack;    // signal - OK or Cancel pressed
		
		string get_filename();                   // return selected file name
		int get_bps() {return bps;}              //                 bits per sample
		int get_frequency() {return freq;}       //                 frequency
		int get_channels() {return chan;}        //                 number of channels

		void set_bps(int b);              //  set bits per sample
		void set_frequency(int f);       //      frequency
		void set_channels(int ch);        //      number of channels
		
  private:

    Gtk::OptionMenu *opt_freq, *opt_chan, *opt_bps;
    Gnome::FileEntry *fentry;
    int chan, freq, bps;

    void button_pressed(bool ok);
    void freq_changed(int f);
    void bps_changed(int b);
    void chan_changed(int c);

    int delete_event_impl(GdkEventAny* e);

};

#endif
