/***************************************************************************
      dialogprogress.h  -  Dialog with progress bar and Cancel button
     -----------------------------------------------------------------
    begin                : Sat Jan 20 2001
    copyright            : (C) 2001 by Ladislav Slezk
    email                : slezak@penguin.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DIALOGPROGRESS_H
#define DIALOGPROGRESS_H

#include <gtk--/window.h>
#include <gtk--/box.h>
#include <gtk--/buttonbox.h>
#include <gtk--/button.h>
#include <gtk--/frame.h>
#include <gtk--/label.h>
#include <gtk--/progressbar.h>
#include <gtk--/adjustment.h>

#include <string>

using namespace std;

/**Dialog for displaying progress
  *@author Ladislav Slezk
  */

class DialogProgress : public Gtk::Window {

  public:

  	DialogProgress(string, string);
  	~DialogProgress();

		SigC::Signal0<void> canceled;
  	void set_progress(float val);
    void set_label(string l);
  	bool cancel_state(){return canc;}

  private:

    bool canc;
    Gtk::Adjustment *adj;
    Gtk::Label *lab;
    void cancel_pressed();
    int delete_event_impl(GdkEventAny*);

};

#endif
